> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# bunnycdn-dns

> BunnyCDN DNS - manage DNS zones and DNSSEC records

**Server path:** `/bunnycdn-dns` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                                | Description                                                                                                                          |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| [`bunnycdn_dns_get_zone_statistics_endpoint_statistics`](#bunnycdn_dns_get_zone_statistics_endpoint_statistics)                                     | Get DNS Query Statistics                                                                                                             |
| [`bunnycdn_dns_manage_dns_zone_dns_sec_endpoint_disable_dns_sec_dns_zone`](#bunnycdn_dns_manage_dns_zone_dns_sec_endpoint_disable_dns_sec_dns_zone) | Disable DNSSEC on a DNS Zone                                                                                                         |
| [`bunnycdn_dns_manage_dns_zone_dns_sec_endpoint_enable_dns_sec_dns_zone`](#bunnycdn_dns_manage_dns_zone_dns_sec_endpoint_enable_dns_sec_dns_zone)   | Enable DNSSEC on a DNS Zone                                                                                                          |
| [`bunnycdn_dns_trigger_dns_zone_record_scan_endpoint_get_latest_scan`](#bunnycdn_dns_trigger_dns_zone_record_scan_endpoint_get_latest_scan)         | Get the latest DNS record scan result for a DNS Zone                                                                                 |
| [`bunnycdn_dns_trigger_dns_zone_record_scan_endpoint_trigger_scan`](#bunnycdn_dns_trigger_dns_zone_record_scan_endpoint_trigger_scan)               | Trigger a background scan for pre-existing DNS records. Can use ZoneId for existing zones or Domain for pre-zone creation scenarios. |
| [`bunnycdn_dns_zone_public_add`](#bunnycdn_dns_zone_public_add)                                                                                     | Add DNS Zone                                                                                                                         |
| [`bunnycdn_dns_zone_public_add_record`](#bunnycdn_dns_zone_public_add_record)                                                                       | Add DNS Record                                                                                                                       |
| [`bunnycdn_dns_zone_public_check_availability`](#bunnycdn_dns_zone_public_check_availability)                                                       | Check the DNS zone availability                                                                                                      |
| [`bunnycdn_dns_zone_public_delete`](#bunnycdn_dns_zone_public_delete)                                                                               | Delete DNS Zone                                                                                                                      |
| [`bunnycdn_dns_zone_public_delete_record`](#bunnycdn_dns_zone_public_delete_record)                                                                 | Delete DNS Record                                                                                                                    |
| [`bunnycdn_dns_zone_public_export`](#bunnycdn_dns_zone_public_export)                                                                               | GET /dnszone/\{id}/export                                                                                                            |
| [`bunnycdn_dns_zone_public_import`](#bunnycdn_dns_zone_public_import)                                                                               | Import DNS Records                                                                                                                   |
| [`bunnycdn_dns_zone_public_index`](#bunnycdn_dns_zone_public_index)                                                                                 | List DNS Zones                                                                                                                       |
| [`bunnycdn_dns_zone_public_index2`](#bunnycdn_dns_zone_public_index2)                                                                               | Get DNS Zone                                                                                                                         |
| [`bunnycdn_dns_zone_public_issue_wildcard_certificate`](#bunnycdn_dns_zone_public_issue_wildcard_certificate)                                       | Issue new wildcard certificate                                                                                                       |
| [`bunnycdn_dns_zone_public_update`](#bunnycdn_dns_zone_public_update)                                                                               | Update DNS Zones                                                                                                                     |
| [`bunnycdn_dns_zone_public_update_record`](#bunnycdn_dns_zone_public_update_record)                                                                 | Update DNS Record                                                                                                                    |

***

## bunnycdn\_dns\_get\_zone\_statistics\_endpoint\_statistics

Get DNS Query Statistics

**Parameters:**

| Parameter  | Type    | Required | Default | Description                                                                                           |
| ---------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------- |
| `id`       | integer | Yes      | —       | The ID of the DNS Zone for which the statistics will be returned                                      |
| `dateFrom` | string  | No       | —       | (Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned |
| `dateTo`   | string  | No       | —       | (Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "The ID of the DNS Zone for which the statistics will be returned"
      },
      "dateFrom": {
        "type": "string",
        "description": "(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned"
      },
      "dateTo": {
        "type": "string",
        "description": "(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_manage\_dns\_zone\_dns\_sec\_endpoint\_disable\_dns\_sec\_dns\_zone

Disable DNSSEC on a DNS Zone

**Parameters:**

| Parameter | Type    | Required | Default | Description                                              |
| --------- | ------- | -------- | ------- | -------------------------------------------------------- |
| `id`      | integer | Yes      | —       | The ID of the DNS Zone for which DNSSEC will be disabled |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "The ID of the DNS Zone for which DNSSEC will be disabled"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_manage\_dns\_zone\_dns\_sec\_endpoint\_enable\_dns\_sec\_dns\_zone

Enable DNSSEC on a DNS Zone

**Parameters:**

| Parameter | Type    | Required | Default | Description                                             |
| --------- | ------- | -------- | ------- | ------------------------------------------------------- |
| `id`      | integer | Yes      | —       | The ID of the DNS Zone for which DNSSEC will be enabled |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "The ID of the DNS Zone for which DNSSEC will be enabled"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_trigger\_dns\_zone\_record\_scan\_endpoint\_get\_latest\_scan

Get the latest DNS record scan result for a DNS Zone

**Parameters:**

| Parameter | Type    | Required | Default | Description     |
| --------- | ------- | -------- | ------- | --------------- |
| `zoneId`  | integer | Yes      | —       | The DNS Zone ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "zoneId": {
        "type": "integer",
        "description": "The DNS Zone ID"
      }
    },
    "required": [
      "PCID",
      "zoneId"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_trigger\_dns\_zone\_record\_scan\_endpoint\_trigger\_scan

Trigger a background scan for pre-existing DNS records. Can use ZoneId for existing zones or Domain for pre-zone creation scenarios.

**Parameters:**

| Parameter | Type    | Required | Default | Description |                                                                                                                                 |
| --------- | ------- | -------- | ------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------- |
| `Domain`  | string  | null     | No      | —           | The domain name to scan. Either ZoneId or Domain must be provided, but not both. Can be used even before creating the DNS zone. |
| `ZoneId`  | integer | null     | No      | —           | The ID of the DNS Zone to scan. Either ZoneId or Domain must be provided, but not both.                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Domain": {
        "type": [
          "string",
          "null"
        ],
        "description": "The domain name to scan. Either ZoneId or Domain must be provided, but not both. Can be used even before creating the DNS zone."
      },
      "ZoneId": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The ID of the DNS Zone to scan. Either ZoneId or Domain must be provided, but not both."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_add

Add DNS Zone

**Parameters:**

| Parameter | Type      | Required | Default | Description                                                  |
| --------- | --------- | -------- | ------- | ------------------------------------------------------------ |
| `Domain`  | string    | Yes      | —       | The domain that will be added.                               |
| `Records` | object\[] | No       | —       | Optional array of DNS records to add when creating the zone. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Domain": {
        "type": "string",
        "description": "The domain that will be added."
      },
      "Records": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "Type": {
              "type": "integer",
              "enum": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15
              ],
              "description": "0 = A 1 = AAAA 2 = CNAME 3 = TXT 4 = MX 5 = Redirect 6 = Flatten 7 = PullZone 8 = SRV 9 = CAA 10 = PTR 11 = Script 12 = NS 13 = SVCB 14 = HTTPS 15 = TLSA"
            },
            "Ttl": {
              "type": "integer",
              "format": "int32",
              "description": "The ttl value"
            },
            "Value": {
              "type": "string",
              "description": "The value value"
            },
            "Name": {
              "type": "string",
              "description": "The name value"
            },
            "Weight": {
              "type": "integer",
              "format": "int32",
              "description": "The weight value"
            },
            "Priority": {
              "type": "integer",
              "format": "int32",
              "description": "The priority value"
            },
            "Flags": {
              "type": "integer",
              "format": "byte",
              "description": "The flags value"
            },
            "Tag": {
              "type": "string",
              "description": "The tag value"
            },
            "Port": {
              "type": "integer",
              "format": "int32",
              "description": "The port value"
            },
            "PullZoneId": {
              "type": "integer",
              "format": "int64",
              "description": "Pull Zone Id"
            },
            "ScriptId": {
              "type": "integer",
              "format": "int64",
              "description": "Script Id"
            },
            "Accelerated": {
              "type": "boolean",
              "description": "The accelerated value"
            },
            "MonitorType": {
              "type": "integer",
              "enum": [
                0,
                1,
                2,
                3
              ],
              "description": "0 = None 1 = Ping 2 = Http 3 = Monitor"
            },
            "GeolocationLatitude": {
              "type": "number",
              "format": "double",
              "description": "Geolocation Latitude"
            },
            "GeolocationLongitude": {
              "type": "number",
              "format": "double",
              "description": "Geolocation Longitude"
            },
            "LatencyZone": {
              "type": "string",
              "description": "Latency Zone"
            },
            "SmartRoutingType": {
              "type": "integer",
              "enum": [
                0,
                1,
                2
              ],
              "description": "0 = None 1 = Latency 2 = Geolocation"
            },
            "Disabled": {
              "type": "boolean",
              "description": "The disabled value"
            },
            "EnviromentalVariables": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "Name": {
                    "type": "string"
                  },
                  "Value": {
                    "type": "string"
                  }
                }
              },
              "description": "Enviromental Variables"
            },
            "Comment": {
              "type": "string",
              "description": "The comment value"
            },
            "AutoSslIssuance": {
              "type": "boolean",
              "description": "Auto Ssl Issuance"
            }
          }
        },
        "description": "Optional array of DNS records to add when creating the zone."
      }
    },
    "required": [
      "PCID",
      "Domain"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_add\_record

Add DNS Record

**Parameters:**

| Parameter               | Type      | Required | Default | Description                                        |                                                                                                                                                           |
| ----------------------- | --------- | -------- | ------- | -------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `zoneId`                | integer   | Yes      | —       | The DNS Zone ID to which the record will be added. |                                                                                                                                                           |
| `Accelerated`           | boolean   | null     | No      | —                                                  | The accelerated value                                                                                                                                     |
| `AutoSslIssuance`       | boolean   | null     | No      | —                                                  | Auto Ssl Issuance                                                                                                                                         |
| `Comment`               | string    | null     | No      | —                                                  | The comment value                                                                                                                                         |
| `Disabled`              | boolean   | null     | No      | —                                                  | The disabled value                                                                                                                                        |
| `EnviromentalVariables` | object\[] | No       | —       | Enviromental Variables                             |                                                                                                                                                           |
| `Flags`                 | integer   | null     | No      | —                                                  | The flags value                                                                                                                                           |
| `GeolocationLatitude`   | number    | null     | No      | —                                                  | Geolocation Latitude                                                                                                                                      |
| `GeolocationLongitude`  | number    | null     | No      | —                                                  | Geolocation Longitude                                                                                                                                     |
| `LatencyZone`           | string    | null     | No      | —                                                  | Latency Zone                                                                                                                                              |
| `MonitorType`           | integer   | null     | No      | —                                                  | 0 = None 1 = Ping 2 = Http 3 = Monitor                                                                                                                    |
| `Name`                  | string    | null     | No      | —                                                  | The name value                                                                                                                                            |
| `Port`                  | integer   | null     | No      | —                                                  | The port value                                                                                                                                            |
| `Priority`              | integer   | null     | No      | —                                                  | The priority value                                                                                                                                        |
| `PullZoneId`            | integer   | null     | No      | —                                                  | Pull Zone Id                                                                                                                                              |
| `ScriptId`              | integer   | null     | No      | —                                                  | Script Id                                                                                                                                                 |
| `SmartRoutingType`      | integer   | null     | No      | —                                                  | 0 = None 1 = Latency 2 = Geolocation                                                                                                                      |
| `Tag`                   | string    | null     | No      | —                                                  | The tag value                                                                                                                                             |
| `Ttl`                   | integer   | null     | No      | —                                                  | The ttl value                                                                                                                                             |
| `Type`                  | integer   | null     | No      | —                                                  | 0 = A 1 = AAAA 2 = CNAME 3 = TXT 4 = MX 5 = Redirect 6 = Flatten 7 = PullZone 8 = SRV 9 = CAA 10 = PTR 11 = Script 12 = NS 13 = SVCB 14 = HTTPS 15 = TLSA |
| `Value`                 | string    | null     | No      | —                                                  | The value value                                                                                                                                           |
| `Weight`                | integer   | null     | No      | —                                                  | The weight value                                                                                                                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "zoneId": {
        "type": "integer",
        "description": "The DNS Zone ID to which the record will be added."
      },
      "Accelerated": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The accelerated value"
      },
      "AutoSslIssuance": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Auto Ssl Issuance"
      },
      "Comment": {
        "type": [
          "string",
          "null"
        ],
        "description": "The comment value"
      },
      "Disabled": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The disabled value"
      },
      "EnviromentalVariables": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "Name": {
              "type": "string",
              "description": "The name value"
            },
            "Value": {
              "type": "string",
              "description": "The value value"
            }
          }
        },
        "description": "Enviromental Variables"
      },
      "Flags": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The flags value"
      },
      "GeolocationLatitude": {
        "type": [
          "number",
          "null"
        ],
        "description": "Geolocation Latitude"
      },
      "GeolocationLongitude": {
        "type": [
          "number",
          "null"
        ],
        "description": "Geolocation Longitude"
      },
      "LatencyZone": {
        "type": [
          "string",
          "null"
        ],
        "description": "Latency Zone"
      },
      "MonitorType": {
        "type": [
          "integer",
          "null"
        ],
        "description": "0 = None 1 = Ping 2 = Http 3 = Monitor",
        "enum": [
          0,
          1,
          2,
          3
        ]
      },
      "Name": {
        "type": [
          "string",
          "null"
        ],
        "description": "The name value"
      },
      "Port": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The port value"
      },
      "Priority": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The priority value"
      },
      "PullZoneId": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Pull Zone Id"
      },
      "ScriptId": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Script Id"
      },
      "SmartRoutingType": {
        "type": [
          "integer",
          "null"
        ],
        "description": "0 = None 1 = Latency 2 = Geolocation",
        "enum": [
          0,
          1,
          2
        ]
      },
      "Tag": {
        "type": [
          "string",
          "null"
        ],
        "description": "The tag value"
      },
      "Ttl": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The ttl value"
      },
      "Type": {
        "type": [
          "integer",
          "null"
        ],
        "description": "0 = A 1 = AAAA 2 = CNAME 3 = TXT 4 = MX 5 = Redirect 6 = Flatten 7 = PullZone 8 = SRV 9 = CAA 10 = PTR 11 = Script 12 = NS 13 = SVCB 14 = HTTPS 15 = TLSA",
        "enum": [
          0,
          1,
          2,
          3,
          4,
          5,
          6,
          7,
          8,
          9,
          10,
          11,
          12,
          13,
          14,
          15
        ]
      },
      "Value": {
        "type": [
          "string",
          "null"
        ],
        "description": "The value value"
      },
      "Weight": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The weight value"
      }
    },
    "required": [
      "PCID",
      "zoneId"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_check\_availability

Check the DNS zone availability

**Parameters:**

| Parameter | Type   | Required | Default | Description |                                                      |
| --------- | ------ | -------- | ------- | ----------- | ---------------------------------------------------- |
| `Name`    | string | null     | No      | —           | Determines the name of the zone that we are checking |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Name": {
        "type": [
          "string",
          "null"
        ],
        "description": "Determines the name of the zone that we are checking"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_delete

Delete DNS Zone

**Parameters:**

| Parameter | Type    | Required | Default | Description                           |
| --------- | ------- | -------- | ------- | ------------------------------------- |
| `id`      | integer | Yes      | —       | The DNS Zone ID that will be deleted. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "The DNS Zone ID that will be deleted."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_delete\_record

Delete DNS Record

**Parameters:**

| Parameter | Type    | Required | Default | Description                                    |
| --------- | ------- | -------- | ------- | ---------------------------------------------- |
| `zoneId`  | integer | Yes      | —       | The DNS Zone ID that contains the record.      |
| `id`      | integer | Yes      | —       | The ID of the DNS record that will be deleted. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "zoneId": {
        "type": "integer",
        "description": "The DNS Zone ID that contains the record."
      },
      "id": {
        "type": "integer",
        "description": "The ID of the DNS record that will be deleted."
      }
    },
    "required": [
      "PCID",
      "zoneId",
      "id"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_export

GET /dnszone/\{id}/export

**Parameters:**

| Parameter | Type    | Required | Default | Description  |
| --------- | ------- | -------- | ------- | ------------ |
| `id`      | integer | Yes      | —       | The id value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "The id value"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_import

Import DNS Records

**Parameters:**

| Parameter | Type    | Required | Default | Description                                  |
| --------- | ------- | -------- | ------- | -------------------------------------------- |
| `zoneId`  | integer | Yes      | —       | The DNS Zone ID that should import the data. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "zoneId": {
        "type": "integer",
        "description": "The DNS Zone ID that should import the data."
      }
    },
    "required": [
      "PCID",
      "zoneId"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_index

List DNS Zones

**Parameters:**

| Parameter | Type    | Required | Default | Description                                             |
| --------- | ------- | -------- | ------- | ------------------------------------------------------- |
| `page`    | integer | No       | —       | Page number for pagination                              |
| `perPage` | integer | No       | —       | Number of results per page                              |
| `search`  | string  | No       | —       | The search term that will be used to filter the results |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "integer",
        "description": "Page number for pagination"
      },
      "perPage": {
        "type": "integer",
        "description": "Number of results per page"
      },
      "search": {
        "type": "string",
        "description": "The search term that will be used to filter the results"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_index2

Get DNS Zone

**Parameters:**

| Parameter | Type    | Required | Default | Description                                  |
| --------- | ------- | -------- | ------- | -------------------------------------------- |
| `id`      | integer | Yes      | —       | The ID of the DNS Zone that will be returned |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "The ID of the DNS Zone that will be returned"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_issue\_wildcard\_certificate

Issue new wildcard certificate

**Parameters:**

| Parameter | Type    | Required | Default | Description                                  |                  |
| --------- | ------- | -------- | ------- | -------------------------------------------- | ---------------- |
| `zoneId`  | integer | Yes      | —       | The DNS Zone ID requiring a new certificate. |                  |
| `Domain`  | string  | null     | No      | —                                            | The domain value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "zoneId": {
        "type": "integer",
        "description": "The DNS Zone ID requiring a new certificate."
      },
      "Domain": {
        "type": [
          "string",
          "null"
        ],
        "description": "The domain value"
      }
    },
    "required": [
      "PCID",
      "zoneId"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_update

Update DNS Zones

**Parameters:**

| Parameter                       | Type    | Required | Default | Description                                 |                                                                               |
| ------------------------------- | ------- | -------- | ------- | ------------------------------------------- | ----------------------------------------------------------------------------- |
| `id`                            | integer | Yes      | —       | The ID of the DNS Zone that will be updated |                                                                               |
| `CertificateKeyType`            | integer | null     | No      | —                                           | Sets the certificate private key type for wildcard certificates for this zone |
| `CustomNameserversEnabled`      | boolean | null     | No      | —                                           | Custom Nameservers Enabled                                                    |
| `LogAnonymizationType`          | integer | null     | No      | —                                           | Gets the log anonymization type for this zone                                 |
| `LoggingEnabled`                | boolean | null     | No      | —                                           | Logging Enabled                                                               |
| `LoggingIPAnonymizationEnabled` | boolean | null     | No      | —                                           | Determines if the log anonoymization should be enabled                        |
| `Nameserver1`                   | string  | null     | No      | —                                           | The nameserver1 value                                                         |
| `Nameserver2`                   | string  | null     | No      | —                                           | The nameserver2 value                                                         |
| `SoaEmail`                      | string  | null     | No      | —                                           | Soa Email                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "The ID of the DNS Zone that will be updated"
      },
      "CertificateKeyType": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Sets the certificate private key type for wildcard certificates for this zone",
        "enum": [
          0,
          1
        ]
      },
      "CustomNameserversEnabled": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Custom Nameservers Enabled"
      },
      "LogAnonymizationType": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Gets the log anonymization type for this zone",
        "enum": [
          0,
          1
        ]
      },
      "LoggingEnabled": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Logging Enabled"
      },
      "LoggingIPAnonymizationEnabled": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Determines if the log anonoymization should be enabled"
      },
      "Nameserver1": {
        "type": [
          "string",
          "null"
        ],
        "description": "The nameserver1 value"
      },
      "Nameserver2": {
        "type": [
          "string",
          "null"
        ],
        "description": "The nameserver2 value"
      },
      "SoaEmail": {
        "type": [
          "string",
          "null"
        ],
        "description": "Soa Email"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## bunnycdn\_dns\_zone\_public\_update\_record

Update DNS Record

**Parameters:**

| Parameter               | Type      | Required | Default | Description                                    |                                                                                                                                                           |
| ----------------------- | --------- | -------- | ------- | ---------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `zoneId`                | integer   | Yes      | —       | The DNS Zone ID that contains the record.      |                                                                                                                                                           |
| `id`                    | integer   | Yes      | —       | The ID of the DNS record that will be updated. |                                                                                                                                                           |
| `Accelerated`           | boolean   | null     | No      | —                                              | The accelerated value                                                                                                                                     |
| `AutoSslIssuance`       | boolean   | null     | No      | —                                              | Auto Ssl Issuance                                                                                                                                         |
| `Comment`               | string    | null     | No      | —                                              | The comment value                                                                                                                                         |
| `Disabled`              | boolean   | null     | No      | —                                              | The disabled value                                                                                                                                        |
| `EnviromentalVariables` | object\[] | No       | —       | Enviromental Variables                         |                                                                                                                                                           |
| `Flags`                 | integer   | null     | No      | —                                              | The flags value                                                                                                                                           |
| `GeolocationLatitude`   | number    | null     | No      | —                                              | Geolocation Latitude                                                                                                                                      |
| `GeolocationLongitude`  | number    | null     | No      | —                                              | Geolocation Longitude                                                                                                                                     |
| `Id`                    | integer   | No       | —       | The id value                                   |                                                                                                                                                           |
| `LatencyZone`           | string    | null     | No      | —                                              | Latency Zone                                                                                                                                              |
| `MonitorType`           | integer   | null     | No      | —                                              | 0 = None 1 = Ping 2 = Http 3 = Monitor                                                                                                                    |
| `Name`                  | string    | null     | No      | —                                              | The name value                                                                                                                                            |
| `Port`                  | integer   | null     | No      | —                                              | The port value                                                                                                                                            |
| `Priority`              | integer   | null     | No      | —                                              | The priority value                                                                                                                                        |
| `PullZoneId`            | integer   | null     | No      | —                                              | Pull Zone Id                                                                                                                                              |
| `ScriptId`              | integer   | null     | No      | —                                              | Script Id                                                                                                                                                 |
| `SmartRoutingType`      | integer   | null     | No      | —                                              | 0 = None 1 = Latency 2 = Geolocation                                                                                                                      |
| `Tag`                   | string    | null     | No      | —                                              | The tag value                                                                                                                                             |
| `Ttl`                   | integer   | null     | No      | —                                              | The ttl value                                                                                                                                             |
| `Type`                  | integer   | null     | No      | —                                              | 0 = A 1 = AAAA 2 = CNAME 3 = TXT 4 = MX 5 = Redirect 6 = Flatten 7 = PullZone 8 = SRV 9 = CAA 10 = PTR 11 = Script 12 = NS 13 = SVCB 14 = HTTPS 15 = TLSA |
| `Value`                 | string    | null     | No      | —                                              | The value value                                                                                                                                           |
| `Weight`                | integer   | null     | No      | —                                              | The weight value                                                                                                                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "zoneId": {
        "type": "integer",
        "description": "The DNS Zone ID that contains the record."
      },
      "id": {
        "type": "integer",
        "description": "The ID of the DNS record that will be updated."
      },
      "Accelerated": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The accelerated value"
      },
      "AutoSslIssuance": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Auto Ssl Issuance"
      },
      "Comment": {
        "type": [
          "string",
          "null"
        ],
        "description": "The comment value"
      },
      "Disabled": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The disabled value"
      },
      "EnviromentalVariables": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "Name": {
              "type": "string",
              "description": "The name value"
            },
            "Value": {
              "type": "string",
              "description": "The value value"
            }
          }
        },
        "description": "Enviromental Variables"
      },
      "Flags": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The flags value"
      },
      "GeolocationLatitude": {
        "type": [
          "number",
          "null"
        ],
        "description": "Geolocation Latitude"
      },
      "GeolocationLongitude": {
        "type": [
          "number",
          "null"
        ],
        "description": "Geolocation Longitude"
      },
      "Id": {
        "type": "integer",
        "description": "The id value"
      },
      "LatencyZone": {
        "type": [
          "string",
          "null"
        ],
        "description": "Latency Zone"
      },
      "MonitorType": {
        "type": [
          "integer",
          "null"
        ],
        "description": "0 = None 1 = Ping 2 = Http 3 = Monitor",
        "enum": [
          0,
          1,
          2,
          3
        ]
      },
      "Name": {
        "type": [
          "string",
          "null"
        ],
        "description": "The name value"
      },
      "Port": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The port value"
      },
      "Priority": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The priority value"
      },
      "PullZoneId": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Pull Zone Id"
      },
      "ScriptId": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Script Id"
      },
      "SmartRoutingType": {
        "type": [
          "integer",
          "null"
        ],
        "description": "0 = None 1 = Latency 2 = Geolocation",
        "enum": [
          0,
          1,
          2
        ]
      },
      "Tag": {
        "type": [
          "string",
          "null"
        ],
        "description": "The tag value"
      },
      "Ttl": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The ttl value"
      },
      "Type": {
        "type": [
          "integer",
          "null"
        ],
        "description": "0 = A 1 = AAAA 2 = CNAME 3 = TXT 4 = MX 5 = Redirect 6 = Flatten 7 = PullZone 8 = SRV 9 = CAA 10 = PTR 11 = Script 12 = NS 13 = SVCB 14 = HTTPS 15 = TLSA",
        "enum": [
          0,
          1,
          2,
          3,
          4,
          5,
          6,
          7,
          8,
          9,
          10,
          11,
          12,
          13,
          14,
          15
        ]
      },
      "Value": {
        "type": [
          "string",
          "null"
        ],
        "description": "The value value"
      },
      "Weight": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The weight value"
      }
    },
    "required": [
      "PCID",
      "zoneId",
      "id"
    ]
  }
  ```
</Expandable>
